mchartable_lookup(3m17n)

NAME
mchartable_lookup - Return the assigned value of a character in a chartable.

SYNOPSIS
void* mchartable_lookup (MCharTable * table, int c)

DESCRIPTION
Return the assigned value of a character in a chartable.

The mchartable_lookup() function returns the value assigned to character c in chartable table. If no value has been set for c explicitly, the default value of table is returned. If c is not a valid character, mchartable_lookup() returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_CHAR

SEE ALSO

    mchartable_set()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.